# HG changeset patch
# Node ID c915142aa959
# Parent  2b1d9d0770f2
diff --git a/pidgin/meson.build b/pidgin/meson.build
--- a/pidgin/meson.build
+++ b/pidgin/meson.build
@@ -231,6 +231,7 @@ libpidgin = shared_library('pidgin3',
     libpidgin_SOURCES + libpidgin_built_sources + libpidgin_built_headers + ['pidginprivate.h'],
     package_revision,
     c_args : ['-DPIDGIN_COMPILATION', '-DG_LOG_USE_STRUCTURED', '-DG_LOG_DOMAIN="Pidgin"'],
+    gnu_symbol_visibility : 'hidden',
     include_directories : [toplevel_inc, include_directories('prefs')],
     version : PURPLE_LIB_VERSION,
     dependencies : _libpidgin_dependencies,
diff --git a/pidgin/plugins/disco/meson.build b/pidgin/plugins/disco/meson.build
--- a/pidgin/plugins/disco/meson.build
+++ b/pidgin/plugins/disco/meson.build
@@ -24,6 +24,7 @@ xmppdisco_SOURCES += xmppdisco_resource
 
 library('xmppdisco', xmppdisco_SOURCES, xmppdisco_HEADERS,
     c_args : ['-DG_LOG_USE_STRUCTURED', '-DG_LOG_DOMAIN="PidginPlugin-XMPPDisco"'],
+    gnu_symbol_visibility : 'hidden',
     dependencies : [libpurple_dep, libpidgin_dep, glib],
     name_prefix : '',
     install : true, install_dir : PIDGIN_PLUGINDIR)
diff --git a/pidgin/plugins/gestures/meson.build b/pidgin/plugins/gestures/meson.build
--- a/pidgin/plugins/gestures/meson.build
+++ b/pidgin/plugins/gestures/meson.build
@@ -8,6 +8,7 @@ gestures_SOURCES = [
 
 library('gestures', gestures_SOURCES,
     c_args : ['-DG_LOG_USE_STRUCTURED', '-DG_LOG_DOMAIN="PidginPlugin-Gestures"'],
+    gnu_symbol_visibility : 'hidden',
     dependencies : [libpurple_dep, libpidgin_dep, glib],
     name_prefix : '',
     build_by_default : false,  # FIXME: Port to GTK4
diff --git a/pidgin/plugins/iconaway/meson.build b/pidgin/plugins/iconaway/meson.build
--- a/pidgin/plugins/iconaway/meson.build
+++ b/pidgin/plugins/iconaway/meson.build
@@ -1,5 +1,6 @@
 library('iconaway', 'iconaway.c',
     c_args : ['-DG_LOG_USE_STRUCTURED', '-DG_LOG_DOMAIN="PidginPlugin-IconAway"'],
+    gnu_symbol_visibility : 'hidden',
     dependencies : [libpurple_dep, libpidgin_dep, glib],
     name_prefix : '',
     install : true, install_dir : PIDGIN_PLUGINDIR)
diff --git a/pidgin/plugins/idle-xscreensaver/meson.build b/pidgin/plugins/idle-xscreensaver/meson.build
--- a/pidgin/plugins/idle-xscreensaver/meson.build
+++ b/pidgin/plugins/idle-xscreensaver/meson.build
@@ -7,6 +7,7 @@ GTK4_X11 = dependency('gtk4-x11', requir
 if GTK4_X11.found()
 	shared_module('idle-xscreensaver', 'idle-xscreensaver.c',
 	    c_args : ['-DG_LOG_USE_STRUCTURED', '-DG_LOG_DOMAIN="Purple-IdleXScreenSaver"'],
+	    gnu_symbol_visibility : 'hidden',
 	    dependencies : [libpurple_dep, libpidgin_dep, GTK4_X11],
 	    name_prefix : '',
 	    install : true, install_dir : PIDGIN_PLUGINDIR)
diff --git a/pidgin/plugins/transparency/meson.build b/pidgin/plugins/transparency/meson.build
--- a/pidgin/plugins/transparency/meson.build
+++ b/pidgin/plugins/transparency/meson.build
@@ -1,5 +1,6 @@
 library('transparency', 'transparency.c',
     c_args : ['-DG_LOG_USE_STRUCTURED', '-DG_LOG_DOMAIN="PidginPlugin-Transparency"'],
+    gnu_symbol_visibility : 'hidden',
     dependencies : [libpurple_dep, libpidgin_dep, glib],
     name_prefix : '',
     install : true, install_dir : PIDGIN_PLUGINDIR)
diff --git a/pidgin/plugins/unity/meson.build b/pidgin/plugins/unity/meson.build
--- a/pidgin/plugins/unity/meson.build
+++ b/pidgin/plugins/unity/meson.build
@@ -1,5 +1,6 @@
 library('unity', 'unity.c',
     c_args : ['-DG_LOG_USE_STRUCTURED', '-DG_LOG_DOMAIN="PidginPlugin-Unity"'],
+    gnu_symbol_visibility : 'hidden',
     dependencies : [UNITY, libpurple_dep, libpidgin_dep, glib],
     name_prefix : '',
     install : true, install_dir : PIDGIN_PLUGINDIR)
diff --git a/pidgin/plugins/xmppconsole/meson.build b/pidgin/plugins/xmppconsole/meson.build
--- a/pidgin/plugins/xmppconsole/meson.build
+++ b/pidgin/plugins/xmppconsole/meson.build
@@ -5,6 +5,7 @@ xmppconsole_resource = gnome.compile_res
 library('xmppconsole',
     'xmppconsole.c', xmppconsole_resource,
     c_args : ['-DG_LOG_USE_STRUCTURED', '-DG_LOG_DOMAIN="PidginPlugin-XMPPConsole"'],
+    gnu_symbol_visibility : 'hidden',
     dependencies : [libpurple_dep, libpidgin_dep, glib],
     name_prefix : '',
     install : true, install_dir : PIDGIN_PLUGINDIR)
